Support » Plugin: Events Manager » [events list scope=”future”] showing results before current time

  • Resolved kelsangchodor

    (@kelsangchodor)


    Dear Sir,

    When I use [events_list scope=”future”] the first event that is displayed is something that is in the past. So, for example, it’s 11.45pm right now (9th November -EST) but according the events_list results (scope=”future”) the next event is at 12.15 pm – 45 pm today (9th) which was around midday today and has already been and gone. I would expect as soon as the current server time passes 12.45 pm (i.e. 12.46 pm) this event would not show up anymore as a future event but it still does.

    Any ideas why this might be happening? I’ve checked the time zone within the wordpress installation and it’s set to the time zone I’m in.

    Any other ideas? Any helped appreciated,

    Best wishes,

    Christopher Skelton.

    • This topic was modified 8 months, 1 week ago by  kelsangchodor.
Viewing 15 replies - 16 through 30 (of 44 total)
  • Plugin Support caimin_nwl

    (@caimin_nwl)

    NetWebLogic Support

    As far as I know this update has not yet been released.

    Hi Marcus,

    Two weeks ago you mentioned “We’re going to release the timezone feature as a dev version in the coming days, so you can test it out and let us know how it goes!”

    Any news on this?

    I’ve spent 2 months designing a website and we are nearly ready to go live. One of the things holding me back is when I use events_list scope=”future” it returns events that have already passed on the present day. So, my website information looks incorrect to the user because it’s displaying events that have already passed on todays date. i.e if it’s 2pm today and there was an event 10am – 11am this morning today it will still show that event in the “future” scope.

    I’d love to get this fixed and I don’t know of any work arounds. The code that was suggested above is not correct (as you already pointed out). Any help would be really appreciated,

    Best wishes,
    Christopher Skelton.

    Plugin Author Marcus

    (@netweblogic)

    NetWebLogic Support

    We’re just making some final tweaks and should be releasing a dev version this week. It may even be as early as today. There’ll be a post out on our blog explaining the new upcoming changes for the next stable release (which will be in the dev version).

    kelsangchodor

    (@kelsangchodor)

    Hi,

    Has the timezone development version been released yet? 🙂

    Best wishes,

    Chris Skelton.

    Plugin Support caimin_nwl

    (@caimin_nwl)

    NetWebLogic Support

    Yes, it has. If you upgrade to the latest Dev version of Events Manager you’ll see the new options.

    This should help:
    http://wp-events-plugin.com/blog/2017/12/13/timezone-support-now-available/

    kelsangchodor

    (@kelsangchodor)

    That’s good news! Thanks!

    One quick question – so we still use the shortcode [events_list scope=”future”] and it will automatically incorporate the future scope for timezone functionality?

    Best wishes,

    Chris

    Plugin Support caimin_nwl

    (@caimin_nwl)

    NetWebLogic Support

    Yes, that’s right.

    Tried updating to development but get this message:

    Update Failed: Plugin update failed.

    Maybe I’ll try doing in manually…

    Plugin Support caimin_nwl

    (@caimin_nwl)

    NetWebLogic Support

    Did you manage to grab the update?

    I couldn’t get it to work – says update failed when i try to update plugin.

    Can it be downloaded from somewhere?

    Best wishes,

    Chris

    Plugin Support caimin_nwl

    (@caimin_nwl)

    NetWebLogic Support

    The Dev version of Events Manager can be downloaded directly from here:

    https://wordpress.org/plugins/events-manager/advanced/

    I’m looking for this version:

    There is a new version of Events Manager available. View version 5.8.1.21

    Would this be under previous versions at the bottom? Under “development”

    I tried installing this but it says events manager installation already exists…it seems more complicated than a normal update 🙂

    Unpacking the package…

    Installing the plugin…

    Destination folder already exists. /home/bright/developmentkmcf.meditateinbrighton.com/wp-content/plugins/events-manager/

    Plugin install failed.

    Plugin Support caimin_nwl

    (@caimin_nwl)

    NetWebLogic Support

    Yes, that’s the version that you need.

    That error message is appearing because using a .zip is like installing from new. You’ll need to deactivate Events Manager, delete it, then upload the .zip file.

    Ok Thanks,

    One final thing – if I delete the existing installation do I lose all settings? and lose all events I’ve added?

    Then, I can’t use it with my live website and only, as the name implies, for testing and development purposes?

    Best wishes,

    Chris Skelton.

    Plugin Support caimin_nwl

    (@caimin_nwl)

    NetWebLogic Support

    Provided you only use Deactivate link and not the Uninstall link on the plugins page, all your settings, events, etc. will be kept and will reappear after reinstalling and activating the new version of the plugin.

Viewing 15 replies - 16 through 30 (of 44 total)
  • You must be logged in to reply to this topic.